#include <bits/stdc++.h>


using namespace std;


int main(){
	long long br;
	cin>>br;
	vector<long long>b;
	long long n=br;
/*	if(br%2==0){
		for(int i=0;i<br;br--){
		if(br%2==0)cout<<br<<" "<<br+n<<" ";
		else {
			b.push_back(br);
		b.push_back(br+n);
		}
			
			
		}
	cout<<endl;
	for(int i=0;i<b.size();i++)cout<<b[i]<<" ";
	}
	*/
	
			for(int i=1;i<br;i++){
				cout<<i<<" ";
			}
			cout<<br+1<<endl<<br<<" ";
			for(int i=br+1;i<br*2;i++)cout<<i<<" ";
		
	
	
	
}